Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelCol.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelCol.java	(revision 26605)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelCol.java	(revision 26631)
@@ -19,4 +19,5 @@
 	private ButtonGroup colourButtons = new ButtonGroup();
 	public JRadioButton offButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/OffButton.png")));
+	public JRadioButton addButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/AddButton.png")));
 	public JRadioButton whiteButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/WhiteButton.png")));
 	public JRadioButton redButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/RedButton.png")));
@@ -28,4 +29,8 @@
 	public JRadioButton violetButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/VioletButton.png")));
 	public JRadioButton blackButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/BlackButton.png")));
+	public JRadioButton greyButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/GreyButton.png")));
+	public JRadioButton brownButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/BrownButton.png")));
+	public JRadioButton magentaButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/MagentaButton.png")));
+	public JRadioButton pinkButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/PinkButton.png")));
 	public EnumMap<Col, JRadioButton> colours = new EnumMap<Col, JRadioButton>(Col.class);
 	private ActionListener alColour = new ActionListener() {
@@ -36,5 +41,5 @@
 					if (dlg.mark != null) {
 						dlg.mark.setColour(ent, col);
-//						act.actionPerformed(null);
+						// act.actionPerformed(null);
 					}
 					button.setBorderPainted(true);
@@ -59,5 +64,12 @@
 		this.add(getColButton(blueButton, 0, 112, 34, 16, Messages.getString("Blue"), Col.BLUE), null);
 		this.add(getColButton(violetButton, 0, 128, 34, 16, Messages.getString("Violet"), Col.VIOLET), null);
-		this.add(getColButton(blackButton, 0, 144, 34, 16, Messages.getString("Black"), Col.BLACK), null);
+		if (ent != Ent.LIGHT) {
+			this.add(getColButton(addButton, 0, 144, 34, 16, Messages.getString("AddColour"), Col.UNKNOWN), null);
+			this.add(getColButton(blackButton, 35, 0, 34, 16, Messages.getString("Black"), Col.BLACK), null);
+			this.add(getColButton(greyButton, 35, 16, 34, 16, Messages.getString("Grey"), Col.GREY), null);
+			this.add(getColButton(brownButton, 35, 32, 34, 16, Messages.getString("Brown"), Col.BROWN), null);
+			this.add(getColButton(magentaButton, 35, 48, 34, 16, Messages.getString("Magenta"), Col.MAGENTA), null);
+			this.add(getColButton(pinkButton, 35, 64, 34, 16, Messages.getString("Pink"), Col.PINK), null);
+		}
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLit.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLit.java	(revision 26605)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLit.java	(revision 26631)
@@ -53,5 +53,4 @@
 		panelCol = new PanelCol(dlg, alType, Ent.LIGHT);
 		panelCol.setBounds(new Rectangle(88, 0, 34, 160));
-		panelCol.blackButton.setVisible(false);
 		this.setLayout(null);
 		this.add(panelChr, null);
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMore.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMore.java	(revision 26605)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMore.java	(revision 26631)
@@ -15,58 +15,17 @@
 
 	private OSeaMAction dlg;
-	public PanelCol panelCol;
-	private ActionListener alType;
-
-	private ButtonGroup patButtons = new ButtonGroup();
-	public JRadioButton noneButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/NoneButton.png")));
-	public JRadioButton horizButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/HorizontalButton.png")));
-	public JRadioButton vertButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/VerticalButton.png")));
-	public JRadioButton diagButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/DiagonalButton.png")));
-	public JRadioButton squareButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SquaredButton.png")));
-	public JRadioButton borderButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/BorderButton.png")));
-	public EnumMap<Pat, JRadioButton> patterns = new EnumMap<Pat, JRadioButton>(Pat.class);
-	private ActionListener alPat = new ActionListener() {
-		public void actionPerformed(java.awt.event.ActionEvent e) {
-			for (Pat pat : patterns.keySet()) {
-				JRadioButton button = patterns.get(pat);
-				if (button.isSelected()) {
-					dlg.mark.setPattern(Ent.BODY, pat);
-					button.setBorderPainted(true);
-				} else
-					button.setBorderPainted(false);
-			}
-			if (dlg.mark != null)
-				dlg.mark.paintSign();
-		}
-	};
+	public PanelPat panelPat;
 
 	public PanelMore(OSeaMAction dia) {
 		dlg = dia;
 		this.setLayout(null);
-		panelCol = new PanelCol(dlg, alType, Ent.LIGHT);
-		panelCol.setBounds(new Rectangle(0, 0, 34, 160));
-		this.add(panelCol, null);
-		this.add(getPatButton(noneButton, 36, 0, 27, 27, "NoPat", Pat.NONE), null);
-		this.add(getPatButton(horizButton, 36, 26, 27, 27, "HorizPat", Pat.HORIZ), null);
-		this.add(getPatButton(vertButton, 36, 52, 27, 27, "VertPat", Pat.VERT), null);
-		this.add(getPatButton(diagButton, 36, 78, 27, 27, "DiagPat", Pat.DIAG), null);
-		this.add(getPatButton(squareButton, 36, 104, 27, 27, "SquarePat", Pat.SQUARE), null);
-		this.add(getPatButton(borderButton, 36, 130, 27, 27, "BorderPat", Pat.BORDER), null);
+		panelPat = new PanelPat(dlg);
+		panelPat.setBounds(new Rectangle(0, 0, 100, 160));
+		this.add(panelPat, null);
 
 	}
 
 	public void clearSelections() {
-		patButtons.clearSelection();
-		alPat.actionPerformed(null);
-	}
-
-	private JRadioButton getPatButton(JRadioButton button, int x, int y, int w, int h, String tip, Pat pat) {
-		button.setBounds(new Rectangle(x, y, w, h));
-		button.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
-		button.setToolTipText(Messages.getString(tip));
-		button.addActionListener(alPat);
-		patButtons.add(button);
-		patterns.put(pat, button);
-		return button;
+		panelPat.clearSelections();
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSpec.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSpec.java	(revision 26605)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSpec.java	(revision 26631)
@@ -51,6 +51,6 @@
 					dlg.mark.setShape(shp);
 					dlg.mark.setObject(objects.get(shp));
-					if ((button == cairnButton) && !(dlg.panelMain.panelMore.panelCol.offButton.isSelected()))
-						dlg.panelMain.panelMore.panelCol.offButton.doClick();
+					if ((button == cairnButton) && !(dlg.panelMain.panelMore.panelPat.panelCol.offButton.isSelected()))
+						dlg.panelMain.panelMore.panelPat.panelCol.offButton.doClick();
 					button.setBorderPainted(true);
 				} else
@@ -127,7 +127,7 @@
 			if (dlg.mark.getObject() == Obj.UNKNOWN) {
 				clearSelections();
-				dlg.panelMain.panelMore.panelCol.yellowButton.doClick();
+				dlg.panelMain.panelMore.panelPat.panelCol.yellowButton.doClick();
 			} else {
-				dlg.panelMain.panelMore.panelCol.colours.get(dlg.mark.getColour(Ent.BODY, 0)).doClick();
+				dlg.panelMain.panelMore.panelPat.panelCol.colours.get(dlg.mark.getColour(Ent.BODY, 0)).doClick();
 			}
 			if (shapes.containsKey(dlg.mark.getShape())) {
